TemplateJAMA::SVD class Reference

Main Page Namespace List Compound List File List Compound Members

# JAMA::SVD Class Template Reference

`#include <jama_svd.h>`

List of all members.

## Public Methods
| SVD (const Array2D< Real > &Arg)
void | getU (Array2D< Real > &A)
void | getV (Array2D< Real > &A)
void | getSingularValues (Array1D< Real > &x)
void | getS (Array2D< Real > &A)
double | norm2 ()
double | cond ()
int | rank ()

## Detailed Description

### template<class Real> class JAMA::SVD

Singular Value Decomposition.

For an m-by-n matrix A with m >= n, the singular value decomposition is an m-by-n orthogonal matrix U, an n-by-n diagonal matrix S, and an n-by-n orthogonal matrix V so that A = U*S*V'.

The singular values, sigma[k] = S[k][k], are ordered so that sigma[0] >= sigma[1] >= ... >= sigma[n-1].

The singular value decompostion always exists, so the constructor will never fail. The matrix condition number and the effective numerical rank can be computed from this decomposition.

(Adapted from JAMA, a Java Matrix Library, developed by jointly by the Mathworks and NIST; see http://math.nist.gov/javanumerics/jama).

## Constructor & Destructor Documentation

template<class Real>
JAMA::SVD<Real>::SVD<Real> ( | const Array2D< Real > & Arg )`[inline]`

## Member Function Documentation

template<class Real>
double JAMA::SVD<Real>::cond ( | )`[inline]`

| Two norm of condition number (max(S)/min(S))

template<class Real>
void JAMA::SVD<Real>::getS ( | Array2D< Real > & A )`[inline]`

| Return the diagonal matrix of singular values Returns: S

template<class Real>
void JAMA::SVD<Real>::getSingularValues ( | Array1D< Real > & x )`[inline]`

| Return the one-dimensional array of singular values

template<class Real>
void JAMA::SVD<Real>::getU ( | Array2D< Real > & A )`[inline]`

template<class Real>
void JAMA::SVD<Real>::getV ( | Array2D< Real > & A )`[inline]`

template<class Real>
double JAMA::SVD<Real>::norm2 ( | )`[inline]`

| Two norm (max(S))

template<class Real>
int JAMA::SVD<Real>::rank ( | )`[inline]`

| Effective numerical matrix rank Returns: Number of nonnegligible singular values.

The documentation for this class was generated from the following file:

- jama_svd.h